#
# spec file for package npapi-vlc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           npapi-vlc
Version:        2.0.0
Release:        3.2
Summary:        Enables VLC inside browsers
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.videolan.org/
Source0:        http://download.videolan.org/pub/videolan/vlc/%{version}/npapi-vlc-%{version}.tar.xz
Patch0:         npapi-vlc-2.0.0-no_return.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  vlc-devel >= 1.1.0
BuildRequires:  mozilla-xulrunner192-devel
BuildRequires:  xorg-x11-libX11-devel
# openSUSE 12.1 was the latest version using vlc-mozillaplugin
Provides:       vlc-mozillaplugin = %{version}
Obsoletes:      vlc-mozillaplugin < 2.0.0
Enhances:       browser(npapi)

%description
With this plugin you enable video content withing browsers.

%prep
%setup -q
%patch0

%build
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=%{?buildroot} npvlcdir=%{_libdir}/browser-plugins/
rm %{buildroot}%{_libdir}/browser-plugins/libvlcplugin.la

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/browser-plugins/libvlcplugin.so

%changelog
* Thu Apr 19 2012 reddwarf@opensuse.org
- Initial package
